/***********************************************************************************************************************
 *
 * blueBill Mobile - open source birdwatching
 * ==========================================
 *
 * Copyright (C) 2009, 2010 by Tidalwave s.a.s. (http://www.tidalwave.it)
 * http://bluebill.tidalwave.it/mobile/
 *
 ***********************************************************************************************************************
 *
 * Licensed under the Apache License, Version 2.0 (the "License"); you may not use this file except in compliance with
 * the License. You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software distributed under the License is distributed on
 * an "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. See the License for the
 * specific language governing permissions and limitations under the License.
 *
 ***********************************************************************************************************************
 *
 * $Id: ChangeTaxonomyTest.java,v bb7f9a15a7da 2010/08/07 21:27:21 fabrizio $
 *
 **********************************************************************************************************************/
package it.tidalwave.bluebill.mobile.android.test.functional;

import static it.tidalwave.bluebill.mobile.android.taxonomy.browser.TaxonomyPicker.*;

/***********************************************************************************************************************
 *
 * @author  Fabrizio Giudici
 * @version $Id: $
 *
 **********************************************************************************************************************/
public class ChangeTaxonomyTest extends ObservationScenarioTestSupport
  {
    protected void prepareSequence()
      {
        step(ClearAllObservations.class);
        step(TaxonomyChanger.class, pickAOU7th());
        step(TaxonomyChanger.class, pickEbnItalia2003());
        step(TaxonomyChanger.class, pickAOU7th());
      }

    @Override
    protected void assertPostConditions() 
      {
      }
  }
